# MPQC::IntegralEvaluator4_impl Class Reference

Symbol "MPQC.IntegralEvaluator4" (version 0.2). More...

`#include <MPQC_IntegralEvaluator4_Impl.hh>`

List of all members.

## Public Member Functions
| IntegralEvaluator4_impl (struct MPQC_IntegralEvaluator4__object *s)
void | _ctor ()
void | _dtor ()
void | set_integral_package (const ::std::string &label) throw ()
| user defined non-static method.
void | initialize (::Chemistry::QC::GaussianBasis::Molecular bs1,::Chemistry::QC::GaussianBasis::Molecular bs2,::Chemistry::QC::GaussianBasis::Molecular bs3,::Chemistry::QC::GaussianBasis::Molecular bs4, const ::std::string &label, int64_t max_deriv) throw ()
| Initialize the evaluator.
void * | get_buffer () throw ()
| Get the buffer pointer.
void | compute (int64_t shellnum1, int64_t shellnum2, int64_t shellnum3, int64_t shellnum4, int64_t deriv_level,::Chemistry::QC::GaussianBasis::DerivCenters deriv_ctr) throw ()
| Compute a shell quartet of integrals.
::sidl::array< double > | compute_array (int64_t shellnum1, int64_t shellnum2, int64_t shellnum3, int64_t shellnum4, int64_t deriv_level,::Chemistry::QC::GaussianBasis::DerivCenters deriv_ctr) throw ()
| Compute a shell quartet of integrals and return as a borrowed sidl array.
## Static Public Member Functions
static void | _load ()

## Detailed Description

Symbol "MPQC.IntegralEvaluator4" (version 0.2).

IntegralEvaluator4_impl implements a class interface for supplying 4-center molecular integrals.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

## Member Function Documentation

void MPQC::IntegralEvaluator4_impl::compute | ( | int64_t | shellnum1,
|  | int64_t | shellnum2,
|  | int64_t | shellnum3,
|  | int64_t | shellnum4,
|  | int64_t | deriv_level,
|  | ::Chemistry::QC::GaussianBasis::DerivCenters | deriv_ctr |
| ) |  |  | throw ()

Compute a shell quartet of integrals.

Parameters:

  | shellnum1 | Gaussian shell number 1.
  | shellnum2 | Gaussian shell number 2.
  | shellnum3 | Gaussian shell number 3.
  | shellnum4 | Gaussian shell number 4.
  | deriv_level | Derivative level.
  | deriv_ctr | Derivative center descriptor.

::sidl::array<double> MPQC::IntegralEvaluator4_impl::compute_array | ( | int64_t | shellnum1,
|  | int64_t | shellnum2,
|  | int64_t | shellnum3,
|  | int64_t | shellnum4,
|  | int64_t | deriv_level,
|  | ::Chemistry::QC::GaussianBasis::DerivCenters | deriv_ctr |
| ) |  |  | throw ()

Compute a shell quartet of integrals and return as a borrowed sidl array.

Parameters:

  | shellnum1 | Gaussian shell number 1.
  | shellnum2 | Gaussian shell number 2.
  | shellnum3 | Guassian shell number 3.
  | shellnum4 | Gaussian shell number 4.
  | deriv_level | Derivative level.
  | deriv_ctr | Derivative center descriptor.

Returns:
  Borrowed sidl array buffer.

void* MPQC::IntegralEvaluator4_impl::get_buffer | ( |  | ) | throw ()

Get the buffer pointer.

Returns:
  Buffer pointer.

void MPQC::IntegralEvaluator4_impl::initialize | ( | ::Chemistry::QC::GaussianBasis::Molecular | bs1,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs2,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs3,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs4,
|  | const ::std::string & | label,
|  | int64_t | max_deriv |
| ) |  |  | throw ()

Initialize the evaluator.

Parameters:

  | bs1 | Molecular basis on center 1.
  | bs2 | Molecular basis on center 2.
  | bs3 | Molecular basis on center 3.
  | bs4 | Molecular basis on center 4.
  | label | String specifying integral type.
  | max_deriv | Max derivative to compute.

The documentation for this class was generated from the following file:

- MPQC_IntegralEvaluator4_Impl.hh